/*  devfuncs.h -- Declare VIOS external device support routines
 *  copyright (c) American Information Systems Corporation
 *	Daniel Steinberg
 *	November, 1984
 *
 */
#ifndef DEVFUNCS
#define DEVFUNCS

#include "devices.h"


/* Declare device handler routines */
/* ctrlsubs.c */
extern VDD_PTR vname_search();		/* look for virtual device by name */
extern VDD_PTR vdname_search();		/* look for virtual device by name */
extern PDD_PTR pname_search();		/* look for physical device by name */

extern CLASS_MODULE **cls_search();	/* look for class handling module */
extern IMP_MODULE **imp_search();	/* look for implementation module */

extern VDD_PTR vddalloc();		/* allocate virtual device */
extern PDD_PTR pddalloc();		/* allocate physical device */

/* vioinit.c */
extern VDD_PTR i_vdd();			/* init a virtual device */
extern PDD_PTR i_pdd();			/* init a physical device */

#endif
